unit icons;

{
GNU Lesser General Public License

Adapted images from the Nuvola Icon Theme for KDE by David Vignoni

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1
of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA 02111-1307 USA

Additions and adaptations are by Martin Holmes.

LIST OF IMAGES WITH NUMBERS:

 0  New
 1  Open
 2  Save
 3  Save As
 4  Undo
 5  Cut
 6  Copy
 7  Paste
 8  Delete
 9  Select All
10  Find
11  Find Again
12  OK
13  Cancel
14  OK Document
15  Cancel Document
16  Plus
17  Minus
18  Magic
19  Up Arrow
20  Down Arrow
21  Left Arrow
22  Right Arrow
23  Binary
24  XML Escape
25  XML Unescape
26  Documents
27  Preferences
28  Languages
29  Information
30  Tutorial
31  Document Statistics
32  File Import
33  Picture
34  Load Picture from File
35  Multiple-file Statistics
36  teiHeader
37  Web
38  Web Document
39  Web Preferences
40  Colour
41  Quit
42  Preview Settings
43  Categories
44  Category
45  New Category
46  Delete Category
47  Edit Category
48  New Category (2)??
49  Clone Annotation        *OBSOLETE: MARKED FOR REPLACEMENT
50  Save As Button Set
51  Button
52  Delete Button
53  Edit Button
54  New Button
55  Button Set
56  Edit Button Set
57  New Button Set
58  Load Button Set
59  Save Button Set
60  Import from DocBook
61  Export to DocBook
62  Show Annotation Window  *OBSOLETE: MARKED FOR REPLACEMENT
63  Help
64  Close File
65  Import Categories from File
66  Zip Package
67  Web Zip Package
68  Bold
69  Italic
70  Underline
71  Strikethrough
72  Align centre
73  Align justify
74  Align left
75  Align right
76  Indent
77  Outdent
78  Bulleted list
79  Numbered list
80  Snippet
81  Snippet Delete
82  Snippet New
83  Snippet Save
84  Snippet Save As
85  Snippet Use
86  Snippet File Open
87  Fonts
88  Text colour
89  Link
90  Background colour
91  Comment
92  Comment List
93  New Comment
94  Delete Comment
95  Clone Comment
96  Annotation
97  Annotation Clone
98  Annotation Delete
99  Annotation Window
100 Annotation List
101 Toolbar Options
102 Words (words in a paragraph; for "word count")
103 Email fix (remove unwanted hard returns from email)
104 RTF document
105 Save RTF document
106 Remove formatting
107 Thumbnail
108 Revert style(s)
109 Open/import text styles
110 Tools/settings
111 Find/Replace
112 Add Find/Replace item
113 JavaScript document
114 Add JavaScript document
115 Key
116 Restore default layout
117 Dock
118 Dock left
119 Dock right
120 Dock bottom
121 Auto-save file (timed save)
122 Import button set
123 Clone magic/double magic (two wands)
124 XML Tag
125 Update/refresh/reload
126 XML document
127 Add XML
}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ImgList;

function Fnc_Img16Normal: integer; stdcall; export;
function Fnc_Img16Disabled: integer; stdcall; export;
function Fnc_Img16Hot: integer; stdcall; export;
function Fnc_Img24Normal: integer; stdcall; export;
function Fnc_Img24Disabled: integer; stdcall; export;
function Fnc_Img24Hot: integer; stdcall; export;
function Fnc_Img32Normal: integer; stdcall; export;
function Fnc_Img32Disabled: integer; stdcall; export;
function Fnc_Img32Hot: integer; stdcall; export;
function Fnc_Img48Normal: integer; stdcall; export;
function Fnc_Img48Disabled: integer; stdcall; export;
function Fnc_Img48Hot: integer; stdcall; export;

type
  TfrmIcons = class(TForm)
    il16_Normal: TImageList;
    il24_Normal: TImageList;
    il48_Normal: TImageList;
    il32_Normal: TImageList;
    il16_Disabled: TImageList;
    il24_Disabled: TImageList;
    il32_Disabled: TImageList;
    il48_Disabled: TImageList;
    il16_Hot: TImageList;
    il24_Hot: TImageList;
    il32_Hot: TImageList;
    il48_Hot: TImageList;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmIcons: TfrmIcons;

implementation

function Fnc_Img16Normal: integer; stdcall; export;
begin
  Result := frmIcons.il16_Normal.Handle;
end;

function Fnc_Img16Disabled: integer; stdcall; export;
begin
  Result := frmIcons.il16_Disabled.Handle;
end;

function Fnc_Img16Hot: integer; stdcall; export;
begin
  Result := frmIcons.il16_Hot.Handle;
end;

function Fnc_Img24Normal: integer; stdcall; export;
begin
  Result := frmIcons.il24_Normal.Handle;
end;

function Fnc_Img24Disabled: integer; stdcall; export;
begin
  Result := frmIcons.il24_Disabled.Handle;
end;

function Fnc_Img24Hot: integer; stdcall; export;
begin
  Result := frmIcons.il24_Hot.Handle;
end;

function Fnc_Img32Normal: integer; stdcall; export;
begin
  Result := frmIcons.il32_Normal.Handle;
end;

function Fnc_Img32Disabled: integer; stdcall; export;
begin
  Result := frmIcons.il32_Disabled.Handle;
end;

function Fnc_Img32Hot: integer; stdcall; export;
begin
  Result := frmIcons.il32_Hot.Handle;
end;

function Fnc_Img48Normal: integer; stdcall; export;
begin
  Result := frmIcons.il48_Normal.Handle;
end;

function Fnc_Img48Disabled: integer; stdcall; export;
begin
  Result := frmIcons.il48_Disabled.Handle;
end;

function Fnc_Img48Hot: integer; stdcall; export;
begin
  Result := frmIcons.il48_Hot.Handle;
end;

{$R *.dfm}

end.
